This is strange, because I'm using this patch with 8.10 and everything works good.

Code:
cd; mkdir maya44; cd maya44
wget ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.18rc3.tar.bz2
wget http://prl-quakewars.ovh.org/esi_maya44-alsa-1.0.18rc3.diff.tar.gz
tar -xjf alsa-driver-1.0.18rc3.tar.bz2
tar -xvzf esi_maya44-alsa-1.0.18rc3.diff.tar.gz
patch -p0 < esi_maya44-alsa-1.0.18rc3.diff
sudo apt-get install build-essential
cd alsa-driver-1.0.18rc3
./configure --with-cards=ice1724 --with-sequencer=yes ; make
sudo make install